Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.transpath.type
Class Reaction

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer
                                    |
                                    +--biouml.standard.type.Reaction
                                          |
                                          +--biouml.modules.transpath.type.Reaction

public class Reaction
extends Reaction

Constructor Summary
`Reaction(DataCollection origin, String name)`

Method Summary
`String` | `getCatalystMolecules()`
`String` | `getDownstreamMolecules()`
`String` | `getInhibitorMolecules()`
`String` | `getType()`
`String` | `getUpstreamMolecules()`
`void` | `setCatalystMolecules(String catalystMolecules)`
`void` | `setDownstreamMolecules(String downstreamMolecules)`
`void` | `setInhibitorMolecules(String inhibitorMolecules)`
`void` | `setUpstreamMolecules(String upstreamMolecules)`

Methods inherited from class biouml.standard.type.Reaction
`getReactionType, setReactionType`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getLiteratureReferences, setDatabaseReferences, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class biouml.standard.type.BaseSupport
`getTitle`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Reaction

    public Reaction(DataCollection origin, String name)

Method Detail

### getCatalystMolecules

    public String getCatalystMolecules()

### getDownstreamMolecules

    public String getDownstreamMolecules()

### getInhibitorMolecules

    public String getInhibitorMolecules()

### getType

    public String getType()

### getUpstreamMolecules

    public String getUpstreamMolecules()

### setCatalystMolecules

    public void setCatalystMolecules(String catalystMolecules)

### setDownstreamMolecules

    public void setDownstreamMolecules(String downstreamMolecules)

### setInhibitorMolecules

    public void setInhibitorMolecules(String inhibitorMolecules)

### setUpstreamMolecules

    public void setUpstreamMolecules(String upstreamMolecules)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM